Index: trunk/Include/Classes/System/IO/DirectoryInfo.ab
===================================================================
--- trunk/Include/Classes/System/IO/DirectoryInfo.ab	(revision 376)
+++ trunk/Include/Classes/System/IO/DirectoryInfo.ab	(revision 404)
@@ -7,4 +7,10 @@
 	Inherits FileSystemInfo
 Public
+	/*!
+	@brief	コンストラクタ
+	@author	OverTaker
+	@date	2007/11/11
+	@param	ディレクトリのパス
+	*/
 	Sub DirectoryInfo(path As String)
 		OriginalPath = path
@@ -15,14 +21,37 @@
 	End Sub
 
-	'Public Property
+	'----------------------------------------------------------------
+	' パブリック プロパティ
+	'----------------------------------------------------------------
+
+	/*!
+	@brief	ひとつ上のディレクトリを取得する
+	@author	OverTaker
+	@date	2007/11/11
+	@return	親ディレクトリ
+	*/
 	Function Parent() As DirectoryInfo
 		Return New DirectoryInfo(Path.GetDirectoryName(FullPath))
 	End Function
 
+	/*!
+	@brief	ルートディレクトリを取得する
+	@author	OverTaker
+	@date	2007/11/11
+	@return	ルートディレクトリ
+	*/
 	Function Root() As DirectoryInfo
 		Return New DirectoryInfo(Path.GetPathRoot(FullPath))
 	End Function
 
-	'Public Method
+	'----------------------------------------------------------------
+	' パブリック メソッド
+	'----------------------------------------------------------------
+
+	/*!
+	@brief	ディレクトリを作成する
+	@author	OverTaker
+	@date	2007/11/11
+	*/
 	Sub Create()
 		CreateDirectory(ToTCStr(FullPath), NULL)
@@ -32,8 +61,19 @@
 	End Sub*/
 
+	/*!
+	@brief	ディレクトリを削除する。ただしディレクトリが空の場合
+	@author	OverTaker
+	@date	2007/11/11
+	*/
 	Override Sub Delete()
 		RemoveDirectory(ToTCStr(FullPath))
 	End Sub
 
+	/*!
+	@brief	ディレクトリを削除する
+	@author	OverTaker
+	@date	2007/11/11
+	@param	ディレクトリのファイルごと消すかどうか
+	*/
 	Sub Delete(recursive As Boolean)
 		If recursive Then
@@ -73,8 +113,21 @@
 	End Function*/
 
+	/*!
+	@brief	ディレクトリの中にあるディレクトリを取得する
+	@author	OverTaker
+	@date	2007/11/11
+	@return	ディレクトリの配列
+	*/
 	Function GetDirectories() As List<DirectoryInfo>
 		Return GetDirectories("?*")
 	End Function
 
+	/*!
+	@brief	ディレクトリの中にあるディレクトリを取得する
+	@author	OverTaker
+	@date	2007/11/11
+	@param	サーチするディレクトリ名のパターン
+	@return	パターンに適合したディレクトリの配列
+	*/
 	Function GetDirectories(searchPattern As String) As List<DirectoryInfo>
 		Dim infos As List<FileSystemInfo>
@@ -91,4 +144,12 @@
 	End Function
 
+	/*!
+	@brief	ディレクトリの中にあるディレクトリを取得する
+	@author	OverTaker
+	@date	2007/11/11
+	@param	サーチするディレクトリ名のパターン
+	@param	サーチする範囲
+	@return	サーチした範囲にあるパターンに適合したディレクトリの配列
+	*/
 	Function GetDirectories(searchPattern As String, searchOption As SearchOption) As List<DirectoryInfo>
 		Select Case searchOption
@@ -111,8 +172,21 @@
 	End Function
 
+	/*!
+	@brief	ディレクトリの中にあるファイルを取得する
+	@author	OverTaker
+	@date	2007/11/11
+	@return	ファイルの配列
+	*/
 	Function GetFiles() As List<FileInfo>
 		Return GetFiles("?*")
 	End Function
 
+	/*!
+	@brief	ディレクトリの中にあるファイルを取得する
+	@author	OverTaker
+	@date	2007/11/11
+	@param	サーチするファイル名のパターン
+	@return	パターンに適合したファイルの配列
+	*/
 	Function GetFiles(searchPattern As String) As List<FileInfo>
 		Dim infos As List<FileSystemInfo>
@@ -129,4 +203,12 @@
 	End Function
 
+	/*!
+	@brief	ディレクトリの中にあるファイルを取得する
+	@author	OverTaker
+	@date	2007/11/11
+	@param	サーチするファイル名のパターン
+	@param	サーチする範囲
+	@return	サーチした範囲にあるパターンに適合したディレクトリの配列
+	*/
 	Function GetFiles(searchPattern As String, searchOption As SearchOption) As List<FileInfo>
 		Select Case searchOption
@@ -150,8 +232,21 @@
 	End Function
 
+	/*!
+	@brief	ディレクトリの中にあるディレクトリやファイルを取得する
+	@author	OverTaker
+	@date	2007/11/11
+	@return	ディレクトリやファイルの配列
+	*/
 	Function GetFileSystemInfos() As List<FileSystemInfo>
 		Return GetFileSystemInfos("?*")
 	End Function
 
+	/*!
+	@brief	ディレクトリの中にあるディレクトリやファイルを取得する
+	@author	OverTaker
+	@date	2007/11/11
+	@param	サーチする名前のパターン
+	@return	パターンに適合したディレクトリやファイルの配列
+	*/
 	Function GetFileSystemInfos(searchPattern As String) As List<FileSystemInfo>
 		Dim find As HANDLE
@@ -184,4 +279,10 @@
 	End Function
 
+	/*!
+	@brief	ディレクトリを移動する
+	@author	OverTaker
+	@date	2007/11/11
+	@param	移動先
+	*/
 	Sub MoveTo(destDirName As String)
 		If MoveFile(ToTCStr(FullPath), ToTCStr(destDirName)) = FALSE Then
